package com.bcxin.ars.model.sb;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BaseModel;

import java.util.Date;
import java.util.List;

/**
 *sb_yearreport
 *
 */
public class Yearreport extends BaseModel {

	/**  */
	private static final long serialVersionUID = -5681556616472448952L;

	/**所在地省市县（区）**/
	@ModelAnnotation(getName="所在地省市县（区）",isExport = true,column  = "szss")
    private String szss;
    
    /**所在地省代码**/
	@ModelAnnotation(getName="所在地省代码",isExport = true,column  = "province")
    private String province;
    
    /**所在地市代码**/
	@ModelAnnotation(getName="所在地市代码",isExport = true,column  = "city")
    private String city;
    
    /**所在地县（区）代码**/
	@ModelAnnotation(getName="所在地县（区）代码",isExport = true,column  = "district")
    private String district;
    
    /**
    *企业名称
    */
	@ModelAnnotation(getName="企业名称",isExport = true,column  = "companyname")
    private String companyname;

    /**
    *注册办公地址
    */
	@ModelAnnotation(getName="注册办公地址",isExport = true,column  = "address")
    private String address;

    /**
    *备案证编号
    */
	@ModelAnnotation(getName="备案证编号",isExport = true,column  = "Recordnumber")
    private String recordnumber;

    /**
    *负责人
    */
	@ModelAnnotation(getName="负责人",isExport = true,column  = "charge")
    private String charge;

    /**
    *联系电话
    */
	@ModelAnnotation(getName="联系电话",isExport = true,column  = "Tel")
    private String tel;

    /**
    *保安服务区域
    */
	@ModelAnnotation(getName="保安服务区域",isExport = true,column  = "Servicearea")
    private String servicearea;

    /**
    *保安人员数
    */
	@ModelAnnotation(getName="保安人员数",isExport = true,column  = "personNum")
    private Integer personnum;

    /**
    *初级保安员证人数
    */
	@ModelAnnotation(getName="初级保安员证人数",isExport = true,column  = "cjnum")
    private Integer cjnum;

    /**
    *中级保安员证人数
    */
	@ModelAnnotation(getName="中级保安员证人数",isExport = true,column  = "zjnum")
    private Integer zjnum;

    /**
    *高级保安员证人数
    */
	@ModelAnnotation(getName="高级保安员证人数",isExport = true,column  = "gjnum")
    private Integer gjnum;

    /**
    *保安管理师证人数
    */
	@ModelAnnotation(getName="保安管理师证人数",isExport = true,column  = "managernum")
    private Integer managernum;

    /**
    *高级保安管理师证人数
    */
	@ModelAnnotation(getName="高级保安管理师证人数",isExport = true,column  = "gjmanagernum")
    private Integer gjmanagernum;

    /**
    *开展岗前培训人数
    */
	@ModelAnnotation(getName="开展岗前培训人数",isExport = true,column  = "gqnum")
    private Integer gqnum;

    /**
    *开展在岗培训人数
    */
	@ModelAnnotation(getName="开展在岗培训人数",isExport = true,column  = "zznum")
    private Integer zznum;

    /**
    *守护押运枪支使用培训人数
    */
	@ModelAnnotation(getName="守护押运枪支使用培训人数",isExport = true,column  = "qznum")
    private Integer qznum;

    /**
    *2011式保安服着装情况
    */
	@ModelAnnotation(getName="2011式保安服着装情况",isExport = true,column  = "fzqk")
    private String fzqk;

    /**
    *保安服装标志采购来源单位
    */
	@ModelAnnotation(getName="保安服装标志采购来源单位",isExport = true,column  = "fzcompany")
    private String fzcompany;

    /**
    *见义勇为人数
    */
	@ModelAnnotation(getName="见义勇为人数",isExport = true,column  = "jyqynum")
    private Integer jyqynum;

    /**
    *因工负伤人数
    */
	@ModelAnnotation(getName="因工负伤人数",isExport = true,column  = "gsnum")
    private Integer gsnum;

    /**
    *因公牺牲人数
    */
	@ModelAnnotation(getName="因公牺牲人数",isExport = true,column  = "xsnum")
    private Integer xsnum;

    /**
    *受全国表彰人数
    */
	@ModelAnnotation(getName="受全国表彰人数",isExport = true,column  = "qgbznum")
    private Integer qgbznum;

    /**
    *受省级表彰人数
    */
	@ModelAnnotation(getName="受省级表彰人数",isExport = true,column  = "qsbznum")
    private Integer qsbznum;

    /**
    *受市级表彰人数
    */
	@ModelAnnotation(getName="受市级表彰人数",isExport = true,column  = "sjbznum")
    private Integer sjbznum;

    /**
    *吊销保安员证人数
    */
	@ModelAnnotation(getName="吊销保安员证人数",isExport = true,column  = "dxnum")
    private Integer dxnum;

    /**
    *受治安处罚人数
    */
	@ModelAnnotation(getName="受治安处罚人数",isExport = true,column  = "cfnum")
    private Integer cfnum;

    /**
    *追究刑事责任人数
    */
	@ModelAnnotation(getName="追究刑事责任人数",isExport = true,column  = "xjnum")
    private Integer xjnum;

    /**
    *提供破案线索（条）
    */
	@ModelAnnotation(getName="提供破案线索",isExport = true,column  = "paxs")
    private Integer paxs;

    /**
    *抓获嫌疑人（人）
    */
	@ModelAnnotation(getName="抓获嫌疑人",isExport = true,column  = "xynum")
    private Integer xynum;

    /**
    *预防灾害事故（起）
    */
	@ModelAnnotation(getName="预防灾害事故",isExport = true,column  = "zhsg")
    private Integer zhsg;

    /**
    *挽回经济损失（万元）
    */
	@ModelAnnotation(getName="挽回经济损失",isExport = true,column  = "jjss")
    private Integer jjss;

    /**
    *参加大型商贸文体展览活动人次
    */
	@ModelAnnotation(getName="参加大型商贸文体展览活动人次",isExport = true,column  = "hdnum")
    private Integer hdnum;

    /**
    *参加群体性事件处置工作人次
    */
	@ModelAnnotation(getName="参加群体性事件处置工作人次",isExport = true,column  = "czgz")
    private Integer czgz;

    /**
    *用户ID
    */
	@ModelAnnotation(getName="用户ID",isExport = true,column  = "userid")
    private Long userid;

    /**
    *审批状态
    */
	@ModelAnnotation(getName="审批状态",isExport = true,column  = "approvalstate")
    private String approvalstate;

    /**
    *审批人
    */
	@ModelAnnotation(getName="审批人",isExport = true,column  = "Approvalperson")
    private String approvalperson;

    /**
    *审批时间
    */
	@ModelAnnotation(getName="审批时间",isExport = true,column  = "approvaldate")
    private Date approvaldate;

    /**
    *审批原因
    */
	@ModelAnnotation(getName="审批原因",isExport = true,column  = "approvalreason")
    private String approvalreason;

    /**
    *上传文件地址
    */
	@ModelAnnotation(getName="上传文件地址",isExport = true,column  = "template_rar")
    private String templateRar;

	/**
	 * 审批信息列表
	 */
	private List approvallist;

	public List getApprovallist() {
		return approvallist;
	}

	public void setApprovallist(List approvallist) {
		this.approvallist = approvallist;
	}

	/**
	 *企业名称
	 */
	public String getCompanyname(){
		return this.companyname;
	}
	
	/**
	 *企业名称
	 */
	public void setCompanyname(String companyname){
		this.companyname = companyname;
	}
	/**
	 *注册办公地址
	 */
	public String getAddress(){
		return this.address;
	}
	
	/**
	 *注册办公地址
	 */
	public void setAddress(String address){
		this.address = address;
	}
	/**
	 *备案证编号
	 */
	public String getRecordnumber(){
		return this.recordnumber;
	}
	
	/**
	 *备案证编号
	 */
	public void setRecordnumber(String recordnumber){
		this.recordnumber = recordnumber;
	}
	/**
	 *负责人
	 */
	public String getCharge(){
		return this.charge;
	}
	
	/**
	 *负责人
	 */
	public void setCharge(String charge){
		this.charge = charge;
	}
	/**
	 *联系电话
	 */
	public String getTel(){
		return this.tel;
	}
	
	/**
	 *联系电话
	 */
	public void setTel(String tel){
		this.tel = tel;
	}
	/**
	 *保安服务区域
	 */
	public String getServicearea(){
		return this.servicearea;
	}
	
	/**
	 *保安服务区域
	 */
	public void setServicearea(String servicearea){
		this.servicearea = servicearea;
	}
	/**
	 *保安人员数
	 */
	public Integer getPersonnum(){
		return this.personnum;
	}
	
	/**
	 *保安人员数
	 */
	public void setPersonnum(Integer personnum){
		this.personnum = personnum;
	}
	/**
	 *初级保安员证人数
	 */
	public Integer getCjnum(){
		return this.cjnum;
	}
	
	/**
	 *初级保安员证人数
	 */
	public void setCjnum(Integer cjnum){
		this.cjnum = cjnum;
	}
	/**
	 *中级保安员证人数
	 */
	public Integer getZjnum(){
		return this.zjnum;
	}
	
	/**
	 *中级保安员证人数
	 */
	public void setZjnum(Integer zjnum){
		this.zjnum = zjnum;
	}
	/**
	 *高级保安员证人数
	 */
	public Integer getGjnum(){
		return this.gjnum;
	}
	
	/**
	 *高级保安员证人数
	 */
	public void setGjnum(Integer gjnum){
		this.gjnum = gjnum;
	}
	/**
	 *保安管理师证人数
	 */
	public Integer getManagernum(){
		return this.managernum;
	}
	
	/**
	 *保安管理师证人数
	 */
	public void setManagernum(Integer managernum){
		this.managernum = managernum;
	}
	/**
	 *高级保安管理师证人数
	 */
	public Integer getGjmanagernum(){
		return this.gjmanagernum;
	}
	
	/**
	 *高级保安管理师证人数
	 */
	public void setGjmanagernum(Integer gjmanagernum){
		this.gjmanagernum = gjmanagernum;
	}
	/**
	 *开展岗前培训人数
	 */
	public Integer getGqnum(){
		return this.gqnum;
	}
	
	/**
	 *开展岗前培训人数
	 */
	public void setGqnum(Integer gqnum){
		this.gqnum = gqnum;
	}
	/**
	 *开展在岗培训人数
	 */
	public Integer getZznum(){
		return this.zznum;
	}
	
	/**
	 *开展在岗培训人数
	 */
	public void setZznum(Integer zznum){
		this.zznum = zznum;
	}
	/**
	 *守护押运枪支使用培训人数
	 */
	public Integer getQznum(){
		return this.qznum;
	}
	
	/**
	 *守护押运枪支使用培训人数
	 */
	public void setQznum(Integer qznum){
		this.qznum = qznum;
	}
	/**
	 *2011式保安服着装情况
	 */
	public String getFzqk(){
		return this.fzqk;
	}
	
	/**
	 *2011式保安服着装情况
	 */
	public void setFzqk(String fzqk){
		this.fzqk = fzqk;
	}
	/**
	 *保安服装标志采购来源单位
	 */
	public String getFzcompany(){
		return this.fzcompany;
	}
	
	/**
	 *保安服装标志采购来源单位
	 */
	public void setFzcompany(String fzcompany){
		this.fzcompany = fzcompany;
	}
	/**
	 *见义勇为人数
	 */
	public Integer getJyqynum(){
		return this.jyqynum;
	}
	
	/**
	 *见义勇为人数
	 */
	public void setJyqynum(Integer jyqynum){
		this.jyqynum = jyqynum;
	}
	/**
	 *因工负伤人数
	 */
	public Integer getGsnum(){
		return this.gsnum;
	}
	
	/**
	 *因工负伤人数
	 */
	public void setGsnum(Integer gsnum){
		this.gsnum = gsnum;
	}
	/**
	 *因公牺牲人数
	 */
	public Integer getXsnum(){
		return this.xsnum;
	}
	
	/**
	 *因公牺牲人数
	 */
	public void setXsnum(Integer xsnum){
		this.xsnum = xsnum;
	}
	/**
	 *受全国表彰人数
	 */
	public Integer getQgbznum(){
		return this.qgbznum;
	}
	
	/**
	 *受全国表彰人数
	 */
	public void setQgbznum(Integer qgbznum){
		this.qgbznum = qgbznum;
	}
	/**
	 *受省级表彰人数
	 */
	public Integer getQsbznum(){
		return this.qsbznum;
	}
	
	/**
	 *受省级表彰人数
	 */
	public void setQsbznum(Integer qsbznum){
		this.qsbznum = qsbznum;
	}
	/**
	 *受市级表彰人数
	 */
	public Integer getSjbznum(){
		return this.sjbznum;
	}
	
	/**
	 *受市级表彰人数
	 */
	public void setSjbznum(Integer sjbznum){
		this.sjbznum = sjbznum;
	}
	/**
	 *吊销保安员证人数
	 */
	public Integer getDxnum(){
		return this.dxnum;
	}
	
	/**
	 *吊销保安员证人数
	 */
	public void setDxnum(Integer dxnum){
		this.dxnum = dxnum;
	}
	/**
	 *受治安处罚人数
	 */
	public Integer getCfnum(){
		return this.cfnum;
	}
	
	/**
	 *受治安处罚人数
	 */
	public void setCfnum(Integer cfnum){
		this.cfnum = cfnum;
	}
	/**
	 *追究刑事责任人数
	 */
	public Integer getXjnum(){
		return this.xjnum;
	}
	
	/**
	 *追究刑事责任人数
	 */
	public void setXjnum(Integer xjnum){
		this.xjnum = xjnum;
	}
	/**
	 *提供破案线索（条）
	 */
	public Integer getPaxs(){
		return this.paxs;
	}
	
	/**
	 *提供破案线索（条）
	 */
	public void setPaxs(Integer paxs){
		this.paxs = paxs;
	}
	/**
	 *
	 */
	public Integer getXynum(){
		return this.xynum;
	}
	
	/**
	 *
	 */
	public void setXynum(Integer xynum){
		this.xynum = xynum;
	}
	/**
	 *预防灾害事故（起）
	 */
	public Integer getZhsg(){
		return this.zhsg;
	}
	
	/**
	 *预防灾害事故（起）
	 */
	public void setZhsg(Integer zhsg){
		this.zhsg = zhsg;
	}
	/**
	 *挽回经济损失（万元）
	 */
	public Integer getJjss(){
		return this.jjss;
	}
	
	/**
	 *挽回经济损失（万元）
	 */
	public void setJjss(Integer jjss){
		this.jjss = jjss;
	}
	/**
	 *参加大型商贸文体展览活动人次
	 */
	public Integer getHdnum(){
		return this.hdnum;
	}
	
	/**
	 *参加大型商贸文体展览活动人次
	 */
	public void setHdnum(Integer hdnum){
		this.hdnum = hdnum;
	}
	/**
	 *参加群体性事件处置工作人次
	 */
	public Integer getCzgz(){
		return this.czgz;
	}
	
	/**
	 *参加群体性事件处置工作人次
	 */
	public void setCzgz(Integer czgz){
		this.czgz = czgz;
	}
	/**
	 *用户ID
	 */
	public Long getUserid(){
		return this.userid;
	}
	
	/**
	 *用户ID
	 */
	public void setUserid(Long userid){
		this.userid = userid;
	}
	/**
	 *审批状态
	 */
	public String getApprovalstate(){
		return this.approvalstate;
	}
	
	/**
	 *审批状态
	 */
	public void setApprovalstate(String approvalstate){
		this.approvalstate = approvalstate;
	}
	/**
	 *审批人
	 */
	public String getApprovalperson(){
		return this.approvalperson;
	}
	
	/**
	 *审批人
	 */
	public void setApprovalperson(String approvalperson){
		this.approvalperson = approvalperson;
	}
	/**
	 *审批时间
	 */
	public Date getApprovaldate(){
		return this.approvaldate;
	}
	
	/**
	 *审批时间
	 */
	public void setApprovaldate(Date approvaldate){
		this.approvaldate = approvaldate;
	}
	/**
	 *审批原因
	 */
	public String getApprovalreason(){
		return this.approvalreason;
	}
	
	/**
	 *审批原因
	 */
	public void setApprovalreason(String approvalreason){
		this.approvalreason = approvalreason;
	}
	/**
	 *
	 */
	public String getTemplateRar(){
		return this.templateRar;
	}
	
	/**
	 *
	 */
	public void setTemplateRar(String templateRar){
		this.templateRar = templateRar;
	}

	public String getSzss() {
		return szss;
	}

	public void setSzss(String szss) {
		this.szss = szss;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getDistrict() {
		return district;
	}

	public void setDistrict(String district) {
		this.district = district;
	}
}